tigase.server.xmppclient

## Enum SeeOtherHostIfc.Phase

- java.lang.Object
- - java.lang.Enum<SeeOtherHostIfc.Phase>
  - - tigase.server.xmppclient.SeeOtherHostIfc.Phase

- All Implemented Interfaces:
    Serializable, Comparable<SeeOtherHostIfc.Phase>
  Enclosing interface:
    SeeOtherHostIfc

      public static enum SeeOtherHostIfc.Phase
      extends Enum<SeeOtherHostIfc.Phase>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOGIN`
    `OPEN`
    `OTHER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SeeOtherHostIfc.Phase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SeeOtherHostIfc.Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final SeeOtherHostIfc.Phase OPEN

    - #### LOGIN

          public static final SeeOtherHostIfc.Phase LOGIN

    - #### OTHER

          public static final SeeOtherHostIfc.Phase OTHER

  - ### Method Detail

    - #### values

          public static SeeOtherHostIfc.Phase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SeeOtherHostIfc.Phase c : SeeOtherHostIfc.Phase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SeeOtherHostIfc.Phase valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 "Tigase, Inc.". All rights reserved.